<script src="//maps.google.com/maps/api/js?key=AIzaSyCV9GPNnjd8_soBPB1vPJsR-j6Yk9BTqLw"></script>
<script src="//cdn.rawgit.com/mahnunchik/markerclustererplus/master/dist/markerclusterer.min.js"></script>
<script src='//cdn.rawgit.com/printercu/google-maps-utility-library-v3-read-only/master/infobox/src/infobox_packed.js' type='text/javascript'></script> <!-- only if you need custom infoboxes -->

Sort by: <%= form_tag root_path, method: :get, :id => 'sort_form_tag' do %>
    <%= select_tag :sort, options_for_select([['',''],['Developer', 'developers.company'], ['Price', 'price'], ['Surface', 'surface']]), :id => 'sort_select' %>

<% end %>

<% @estates.each do |estate| %>
<p><%=estate.developer.name  %><br>
    <%= estate.estate_type %><br>
    <%= estate.surface %><br>

<%= estate.price %><br>
  <%= estate.city %><br>
  <%= image_tag estate.picture.url(:medium) %></p>
<% end %>



<div style='width: 800px;'>
  <div id="map" style='width: 800px; height: 400px;'></div>
</div>

<script>

    handler = Gmaps.build('Google');
    handler.buildMap({ provider: {}, internal: {id: 'map'}}, function(){
        markers = handler.addMarkers(<%= raw @hash.to_json %>);
        handler.bounds.extendWith(markers);
        handler.fitMapToBounds();
    });
</script>


<%= link_to 'Home', root_url %>